Рекомендация Debian по безопасности

DSA-4173-1 r-cran-readxl -- обновление безопасности

Дата сообщения:
16.04.2018
Затронутые пакеты:
r-cran-readxl
Уязвим:
Да
Ссылки на базы данных по безопасности:
В каталоге Mitre CVE: CVE-2017-2896, CVE-2017-2897, CVE-2017-2919, CVE-2017-12110, CVE-2017-12111.
Более подробная информация:

Марцин Нога обнаружил многочисленные уязвимости в readxl, пакете GNU R для чтения файлов Excel (с помощью интегрированной библиотеки libxls), которые могут приводить к выполнению произвольного кода в случае обработки специально сформированных таблиц.

В стабильном выпуске (stretch) эти проблемы были исправлены в версии 0.1.1-1+deb9u1.

Рекомендуется обновить пакеты r-cran-readxl.

С подробным статусом поддержки безопасности r-cran-readxl можно ознакомиться на соответствующей странице отслеживания безопасности по адресу: https://security-tracker.debian.org/tracker/r-cran-readxl